CI 묻고 답하기

제목 너무 초보적인 질문같지만, 도저히 않풀리네요. (에디터 문제였네요. 해결.)
글쓴이 이멀렉 작성시각 2009/07/01 23:52:23
댓글 : 9 추천 : 0 스크랩 : 0 조회수 : 29708   RSS
autoload.php에 다음과 같이 세션 라이브러리 로드 부분을 넣었는데요
$autoload['libraries'] = array('session');
그림처럼 에러가 나요.
작업한 것 싹 다 빼고 CI 1.7.1 그냥 쌩 원본 버전이고요.

훔... 라이브러리가 기본 로드되나 싶어서 로드 부분 빼고
그냥 펑션에 $this->session->userdata('session_id'); 이걸 쓰면.

-------------------------------------------------------------
A PHP Error was encountered
Severity: Notice

Message: Undefined property: Welcome::$session

Filename: controllers/welcome.php

Line Number: 14
------------------------------------------------------------

이렇게...

서버셋팅이 잘못된걸까요? 윈도우즈 APM6(php 5.2.10), 리눅스-유분투 Apache2(php 5.2.6) 에서도 마찬가지입니다.
 다음글 포럼 개발 현황이 궁금해요. (5)
 이전글 데이터베이스만 사용하려고 합니다. (3)

댓글

mycastor / 2009/07/02 09:36:17 / 추천 0
밑에 오류는 세션 라이브러리가 로드되지 않아서 발생하는 문제인거 같구요..

세션라이브러리를 로드하면 해결되는 오류인거 같네요.

이미지상의 오류를 따라 Session.php 파일의 662번 라인을 보면 쿠키를 굽는 부분이 맞네요.

전에 메신져로 말씀드렸다시피 저 오류 메세지는 쿠키를 생성하기 전에 문자열이 화면에 먼저 출력이 될 경우 저런 오류 메세지가 발생하구요..

ob_start() 또는 CI에서 제공하는 출력 관련 함수, 클래스를 사용하시면 해결할 수 있을꺼 같네요.

세션 라이브러리가 로드 되기전에 출력되는 문자가 있는지 확인해보셔야 할것 같구요.

아니면 autoload.php 페이지에서 오류가 발생하여 화면에 오류 메세지가 출력되는 경우 이후에 로드되는 세션 라이브러리가 로드되는 과정에서

쿠키에 세션 아이디를 저장하면서 저런 오류가 발생할수도 있을거 같네요.
이멀렉 / 2009/07/02 10:12:21 / 추천 0
CI 1.7.1 그냥 쌩 원본 버전이고. autoload.php의
$autoload['libraries'] = array('session');
요것만 수정했거든. 뷰 로드 부분을 없애도 똑같애. 그냥 세션 라이브러리만 로드하면 저 에라가 남.
kirrie / 2009/07/02 11:47:05 / 추천 0
autoload.php 파일에 첫째줄에 아마 출력문이 있거나 할꺼에요. 출력문 지우고 공백도 지우고 해보삼.
마냐 / 2009/07/02 14:17:01 / 추천 0
공백이 어처구니 없게 문제가 될 경우도 있지요.
이멀렉 / 2009/07/02 16:27:47 / 추천 0
http://codeigniter.com/forums/viewthread/107005/
여기 내용읽어보고 autoload.php, session.php, welcome.php 끝에 ?>를 붙이고 이 후에 공백이 없게 해 보았습니다만 여전하네요.
php쪽 설정 문제인가 싶네요. 셋팅 다 날리고 다시 깔아봐야겠습니다.
이멀렉 / 2009/07/02 18:04:34 / 추천 0
하악...3일만에 찾았습니다. 마냐님 말씀 처럼 좀 어이 없는데요.
autoload.php파일을 HEX 에디터로 열어봤더니. 파일 맨 앞에 희한한 코드가 들어있더군요. 메모장이나, phpEditor등에서는 보이질 않습니다.

EF BB BF

3바이트가 아무렇지도 않다는듯이 앉아있었네요.
EmEditor라는 걸 같이 쓰는데 아마도 그녀석이 UTF-8 Signed 정보를 파일 맨 앞에다 넣어버린 것 같군요.
http://digitz.tistory.com/303

예전에 광명군이 올린 index.php 날리기 신공 게시물 댓글에 않된다는 분이 계셨었고 저도 않됐었는데,
그 때는 copy/paste하면서 않보이는 코드가 삽입 된 문제인 줄 알았어요.
죽일 듣보잡 에디터 후우.. 에디터도 잘 골라야겠습니다.

영양가가 없는 질문 글이네요. ㅠㅠ 죄송합니다.
변종원(웅파) / 2009/07/02 18:29:10 / 추천 0
ㅎㅎ 이클립스나 phpdesigner 강추. editplus도.. ^^
이멀렉 / 2009/07/02 18:41:51 / 추천 0
네 말씀하신대로 phpDesigner 쓰고 있습니다. 나뿡 EmEditor 바로 삭제 +,,+!
mycastor / 2009/07/02 19:18:00 / 추천 0
잘해결되셔서 다행이네요~~

ㅋㅋㅋㅋㅋㅋㅋㅋㅋㅋ 추카추카요~